using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;
using Eloquera.Client;
namespace digioz
{
    public class SiteLog
    {
        private int ciID;
        private string csUsername;
        private string csClientIP;
        private string csDescription;
        private DateTime cdTimestamp;

	    public SiteLog()
	    {}
        [Index]
        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string Username
        {
            get { return csUsername; }
            set { csUsername = value; }
        }

        public string ClientIP
        {
            get { return csClientIP; }
            set { csClientIP = value; }
        }

        public string Description
        {
            get { return csDescription; }
            set { csDescription = value; }
        }

        public DateTime Timestamp
        {
            get { return cdTimestamp; }
            set { cdTimestamp = value; }
        }
    }

    public class SiteLogList : BindingList<SiteLog>
    {
        public SiteLogList()
        { }
    }

}
